> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerzero.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get messagesguid

> Get messages by guid.



## OpenAPI

````yaml /openapi/scan-testnet.json get /messages/guid/{guid}
openapi: 3.0.3
info:
  title: LayerZero Scan API
  version: 1.0.0
servers:
  - url: https://scan-testnet.layerzero-api.com/v1
security: []
paths:
  /messages/guid/{guid}:
    get:
      tags:
        - messages
      description: Get messages by guid.
      parameters:
        - in: path
          name: guid
          schema:
            type: string
          required: true
      responses:
        '200':
          description: 200 OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        pathway:
                          type: object
                          properties:
                            srcEid:
                              type: number
                            dstEid:
                              type: number
                            sender:
                              type: object
                              properties:
                                address:
                                  type: string
                                id:
                                  type: string
                                name:
                                  type: string
                                chain:
                                  type: string
                            receiver:
                              type: object
                              properties:
                                address:
                                  type: string
                                id:
                                  type: string
                                name:
                                  type: string
                                chain:
                                  type: string
                            id:
                              type: string
                            nonce:
                              type: number
                        source:
                          type: object
                          properties:
                            status:
                              anyOf:
                                - type: string
                                  enum:
                                    - WAITING
                                - type: string
                                  enum:
                                    - VALIDATING_TX
                                - type: string
                                  enum:
                                    - SUCCEEDED
                                - type: string
                                  enum:
                                    - WAITING_FOR_HASH_DELIVERED
                                - type: string
                                  enum:
                                    - UNRESOLVABLE_COMMAND
                                - type: string
                                  enum:
                                    - MALFORMED_COMMAND
                            tx:
                              type: object
                              properties:
                                txHash:
                                  type: string
                                blockHash:
                                  type: string
                                blockNumber:
                                  type: string
                                blockTimestamp:
                                  type: number
                                from:
                                  type: string
                                blockConfirmations:
                                  type: number
                                payload:
                                  type: string
                                value:
                                  type: string
                                readinessTimestamp:
                                  type: number
                                resolvedPayload:
                                  type: string
                                adapterParams:
                                  type: object
                                  properties:
                                    version:
                                      type: string
                                    dstGasLimit:
                                      type: string
                                    dstNativeGasTransferAmount:
                                      type: string
                                    dstNativeGasTransferAddress:
                                      type: string
                                options:
                                  type: object
                                  properties:
                                    lzReceive:
                                      type: object
                                      properties:
                                        gas:
                                          type: string
                                        value:
                                          type: string
                                    nativeDrop:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          amount:
                                            type: string
                                          receiver:
                                            type: string
                                    compose:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          index:
                                            type: number
                                          gas:
                                            type: string
                                          value:
                                            type: string
                                    ordered:
                                      type: boolean
                            failedTx:
                              type: array
                              items:
                                type: string
                        destination:
                          anyOf:
                            - type: object
                              properties:
                                status:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - WAITING
                                    - type: string
                                      enum:
                                        - VALIDATING_TX
                                    - type: string
                                      enum:
                                        - SUCCEEDED
                                    - type: string
                                      enum:
                                        - PAYLOAD_STORED
                                tx:
                                  type: object
                                  properties:
                                    txHash:
                                      type: string
                                    blockHash:
                                      type: string
                                    blockNumber:
                                      type: number
                                    blockTimestamp:
                                      type: number
                                payloadStoredTx:
                                  type: string
                                failedTx:
                                  type: array
                                  items:
                                    type: string
                            - type: object
                              properties:
                                nativeDrop:
                                  type: object
                                  properties:
                                    tx:
                                      type: object
                                      properties:
                                        txHash:
                                          type: string
                                        blockHash:
                                          type: string
                                        blockNumber:
                                          type: number
                                        blockTimestamp:
                                          type: number
                                    failedTx:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          txHash:
                                            type: string
                                          txError:
                                            type: string
                                    appliedResults: {}
                                    status:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - WAITING
                                        - type: string
                                          enum:
                                            - VALIDATING_TX
                                        - type: string
                                          enum:
                                            - SUCCEEDED
                                        - type: string
                                          enum:
                                            - FAILED
                                        - type: string
                                          enum:
                                            - N/A
                                nilify:
                                  type: object
                                  properties:
                                    txStatus:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - WAITING
                                        - type: string
                                          enum:
                                            - VALIDATING_TX
                                        - type: string
                                          enum:
                                            - SUCCEEDED
                                    txHash:
                                      type: string
                                    blockHash:
                                      type: string
                                    blockNumber:
                                      type: number
                                    blockTimestamp:
                                      type: number
                                burn:
                                  type: object
                                  properties:
                                    txStatus:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - WAITING
                                        - type: string
                                          enum:
                                            - VALIDATING_TX
                                        - type: string
                                          enum:
                                            - SUCCEEDED
                                    txHash:
                                      type: string
                                    blockHash:
                                      type: string
                                    blockNumber:
                                      type: number
                                    blockTimestamp:
                                      type: number
                                skip:
                                  type: object
                                  properties:
                                    txStatus:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - WAITING
                                        - type: string
                                          enum:
                                            - VALIDATING_TX
                                        - type: string
                                          enum:
                                            - SUCCEEDED
                                    txHash:
                                      type: string
                                    blockHash:
                                      type: string
                                    blockNumber:
                                      type: number
                                    blockTimestamp:
                                      type: number
                                lzCompose:
                                  type: object
                                  properties:
                                    txs:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          txHash:
                                            type: string
                                          blockHash:
                                            type: string
                                          blockNumber:
                                            type: number
                                          blockTimestamp:
                                            type: number
                                          from:
                                            type: string
                                          to:
                                            type: string
                                    failedTx:
                                      type: array
                                      items:
                                        type: object
                                        properties:
                                          txHash:
                                            type: string
                                          txError:
                                            type: string
                                          from:
                                            type: string
                                          to:
                                            type: string
                                          index:
                                            type: number
                                          revertReason:
                                            type: string
                                            nullable: true
                                    status:
                                      anyOf:
                                        - type: string
                                          enum:
                                            - WAITING
                                        - type: string
                                          enum:
                                            - VALIDATING_TX
                                        - type: string
                                          enum:
                                            - SUCCEEDED
                                        - type: string
                                          enum:
                                            - N/A
                                        - type: string
                                          enum:
                                            - FAILED
                                        - type: string
                                          enum:
                                            - SIMULATION_REVERTED
                                        - type: string
                                          enum:
                                            - WAITING_FOR_COMPOSE_SENT_EVENT
                                tx:
                                  type: object
                                  properties:
                                    txHash:
                                      type: string
                                    blockHash:
                                      type: string
                                    blockNumber:
                                      type: number
                                    blockTimestamp:
                                      type: number
                                payloadStoredTx:
                                  type: string
                                failedTx:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      txHash:
                                        type: string
                                      txError:
                                        type: string
                                      blockHash:
                                        type: string
                                      blockNumber:
                                        type: number
                                      revertReason:
                                        type: string
                                        nullable: true
                                status:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - WAITING
                                    - type: string
                                      enum:
                                        - VALIDATING_TX
                                    - type: string
                                      enum:
                                        - SUCCEEDED
                                    - type: string
                                      enum:
                                        - FAILED
                                    - type: string
                                      enum:
                                        - SIMULATION_REVERTED
                                    - type: string
                                      enum:
                                        - PAYLOAD_STORED
                                    - type: string
                                      enum:
                                        - RESOLVED_PAYLOAD_SIZE_NOT_PAID
                        verification:
                          type: object
                          properties:
                            dvn:
                              type: object
                              properties:
                                dvns:
                                  type: object
                                  additionalProperties:
                                    anyOf:
                                      - type: object
                                        properties:
                                          txHash:
                                            type: string
                                          blockHash:
                                            type: string
                                          blockNumber:
                                            type: number
                                          blockTimestamp:
                                            type: number
                                          proof:
                                            type: object
                                            properties:
                                              packetHeader:
                                                type: string
                                              payloadHash:
                                                type: string
                                          optional:
                                            type: boolean
                                          status:
                                            anyOf:
                                              - type: string
                                                enum:
                                                  - VALIDATING_TX
                                              - type: string
                                                enum:
                                                  - SUCCEEDED
                                              - type: string
                                                enum:
                                                  - WAITING_FOR_ULN_CONFIG
                                              - type: string
                                                enum:
                                                  - FAILED
                                      - type: object
                                        properties:
                                          status:
                                            type: string
                                            enum:
                                              - WAITING
                                        required:
                                          - status
                                status:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - WAITING
                                    - type: string
                                      enum:
                                        - QUORUM_REACHED
                                    - type: string
                                      enum:
                                        - SUCCEEDED
                            sealer:
                              type: object
                              properties:
                                tx:
                                  type: object
                                  properties:
                                    txHash:
                                      type: string
                                    blockHash:
                                      type: string
                                    blockNumber:
                                      type: number
                                    blockTimestamp:
                                      type: number
                                failedTx:
                                  type: array
                                  items:
                                    type: object
                                    properties:
                                      txHash:
                                        type: string
                                      txError:
                                        type: string
                                status:
                                  anyOf:
                                    - type: string
                                      enum:
                                        - WAITING
                                    - type: string
                                      enum:
                                        - VALIDATING_TX
                                    - type: string
                                      enum:
                                        - SUCCEEDED
                                    - type: string
                                      enum:
                                        - FAILED
                        guid:
                          type: string
                        config:
                          type: object
                          properties:
                            error:
                              type: boolean
                            errorMessage:
                              type: string
                            dvnConfigError:
                              type: boolean
                            receiveLibrary:
                              type: string
                              nullable: true
                            sendLibrary:
                              type: string
                              nullable: true
                            inboundConfig:
                              anyOf:
                                - type: object
                                  properties:
                                    confirmations:
                                      type: number
                                    requiredDVNCount:
                                      type: number
                                    optionalDVNCount:
                                      type: number
                                    optionalDVNThreshold:
                                      type: number
                                    requiredDVNs:
                                      type: array
                                      items:
                                        type: string
                                    requiredDVNNames:
                                      type: array
                                      items:
                                        type: string
                                    optionalDVNs:
                                      type: array
                                      items:
                                        type: string
                                    optionalDVNNames:
                                      type: array
                                      items:
                                        type: string
                                    executor:
                                      type: string
                                - type: object
                                  properties:
                                    blockConfirmation:
                                      type: number
                                    relayerAddress:
                                      type: string
                                    oracleAddress:
                                      type: string
                                    executorAddress:
                                      type: string
                                    proofType:
                                      type: string
                                    utilsVersion:
                                      type: number
                                    proofVersion:
                                      type: string
                                      nullable: true
                                    proofLibraryAddress:
                                      type: string
                                      nullable: true
                                    ulnVersion:
                                      type: string
                                      enum:
                                        - V1
                                        - V2
                                        - V300
                                        - V301
                                        - V302
                                        - ReadV1002
                            outboundConfig:
                              anyOf:
                                - type: object
                                  properties:
                                    confirmations:
                                      type: number
                                    requiredDVNCount:
                                      type: number
                                    optionalDVNCount:
                                      type: number
                                    optionalDVNThreshold:
                                      type: number
                                    requiredDVNs:
                                      type: array
                                      items:
                                        type: string
                                    requiredDVNNames:
                                      type: array
                                      items:
                                        type: string
                                    optionalDVNs:
                                      type: array
                                      items:
                                        type: string
                                    optionalDVNNames:
                                      type: array
                                      items:
                                        type: string
                                    executor:
                                      type: string
                                - type: object
                                  properties:
                                    blockConfirmation:
                                      type: number
                                    relayerAddress:
                                      type: string
                                    oracleAddress:
                                      type: string
                                    executorAddress:
                                      type: string
                                    proofType:
                                      type: string
                            ulnSendVersion:
                              type: string
                              enum:
                                - V1
                                - V2
                                - V300
                                - V301
                                - V302
                                - ReadV1002
                            ulnReceiveVersion:
                              type: string
                              enum:
                                - V1
                                - V2
                                - V300
                                - V301
                                - V302
                                - ReadV1002
                        status:
                          type: object
                          properties:
                            name:
                              type: string
                              enum:
                                - INFLIGHT
                                - CONFIRMING
                                - FAILED
                                - DELIVERED
                                - BLOCKED
                                - PAYLOAD_STORED
                                - APPLICATION_BURNED
                                - APPLICATION_SKIPPED
                                - UNRESOLVABLE_COMMAND
                                - MALFORMED_COMMAND
                            message:
                              type: string
                        created:
                          type: string
                          default: '2025-05-27T19:20:54.363Z'
                        updated:
                          type: string
                          default: '2025-05-27T19:20:54.363Z'
                required:
                  - data

````